package com.kingdee.eas.custom.synctask;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.util.Map;
import java.lang.String;



public abstract class AbstractSyncTranForOAFacadeControllerBean extends AbstractBizControllerBean implements SyncTranForOAFacadeController
{
    protected AbstractSyncTranForOAFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("07053019");
    }

    public Map syncOrgUnitToOA(Context ctx, String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("abeed33f-d70a-46f2-a853-0153b781da73"), new Object[]{ctx, billds, action});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            Map retValue = (Map)_syncOrgUnitToOA(ctx, billds, action);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (Map)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected Map _syncOrgUnitToOA(Context ctx, String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {    	
        return null;
    }

    public Map syncPositionToOA(Context ctx, String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("66cda9b5-ce91-4eb0-bfcd-6f9e16fc0d1f"), new Object[]{ctx, billds, action});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            Map retValue = (Map)_syncPositionToOA(ctx, billds, action);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (Map)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected Map _syncPositionToOA(Context ctx, String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {    	
        return null;
    }

    public Map syncPersonToOA(Context ctx, String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("991851e6-d2e5-40de-94aa-51c558bc080d"), new Object[]{ctx, billds, action});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            Map retValue = (Map)_syncPersonToOA(ctx, billds, action);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (Map)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected Map _syncPersonToOA(Context ctx, String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {    	
        return null;
    }

    public void syncPersonFromOAByNumber(Context ctx, String personNumbers) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("ceb5e3c0-4de8-4ed0-b36b-e22c8f067e41"), new Object[]{ctx, personNumbers});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncPersonFromOAByNumber(ctx, personNumbers);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncPersonFromOAByNumber(Context ctx, String personNumbers) throws BOSException, EASBizException
    {    	
        return;
    }

    public void syncPersonFromOAById(Context ctx, String personIds) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("e26f3952-beb1-44cd-9aa2-9948deaa4599"), new Object[]{ctx, personIds});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncPersonFromOAById(ctx, personIds);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncPersonFromOAById(Context ctx, String personIds) throws BOSException, EASBizException
    {    	
        return;
    }

}